Bug 816105 - btrfs created on Fedora 17 cannot be read on RHEL 6.3
btrfs created on Fedora 17 cannot be read on RHEL 6.3
Status: CLOSED DUPLICATE of bug 698324
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Josef Bacik
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 05:48 EDT by Richard W.M. Jones
Modified: 2012-06-07 10:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 10:08:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-04-25 05:48:20 EDT
Description of problem:

I created a btrfs filesystem on Fedora 17, then copied it
over to a RHEL 6.3 machine.  Mounting it is OK, but reading
from it causes a kernel panic.

I'm not clear to me if this is supposed to work, but if it's
not supposed to work then we might need to add a release note
to libguestfs.

Version-Release number of selected component (if applicable):

kernel 2.6.32-262.el6.x86_64

(Filesystem was created with Fedora 17 / 3.3.0-1.fc17.x86_64)

How reproducible:

100%

Steps to Reproduce:
1. On Fedora 17, create a filesystem:

  virt-make-fs -F qcow2 -t btrfs --partition=mbr --size=1G \
      libguestfs-1.17.1.tar.gz /tmp/disk.qcow2

  (Note you can use any small tarball.  The one I used is about
  6 MB in size)

2. Copy the result (/tmp/disk.qcow2) to a RHEL 6.3 machine.

3. Try to unpack it on RHEL 6.3 machine:

  guestfish -a /tmp/disk.qcow2 -m /dev/sda1 tar-out / /tmp/test.tar -v
  
Actual results:

[    3.255907] ------------[ cut here ]------------
[    3.256637] kernel BUG at fs/btrfs/extent-tree.c:1400!
[    3.256637] invalid opcode: 0000 [#1] SMP 
[    3.256637] last sysfs file: /sys/module/libcrc32c/initstate
[    3.256637] CPU 0 
[    3.256637] Modules linked in: btrfs(T) zlib_deflate lzo_decompress lzo_compress dm_mod i2c_piix4 i2c_core ext2 ext4 jbd2 virtio_balloon virtio_pci virtio_net virtio_scsi virtio_blk virtio_console virtio_rng virtio virtio_ring sd_mod sym53c8xx scsi_transport_spi ata_piix sr_mod cdrom mbcache crc7 crc_ccitt crc_t10dif crc_itu_t libcrc32c
[    3.256637] 
[    3.256637] Pid: 320, comm: tar Tainted: G           ---------------  T 2.6.32-262.el6.x86_64 #1 Red Hat KVM
[    3.256637] RIP: 0010:[<ffffffffa01e9f22>]  [<ffffffffa01e9f22>] lookup_inline_extent_backref+0x2d2/0x3f0 [btrfs]
[    3.256637] RSP: 0018:ffff88001cd5b8b8  EFLAGS: 00010202
[    3.256637] RAX: 0000000000000001 RBX: ffff88001d11b910 RCX: ffff88001cd5a000
[    3.256637] RDX: 0000000000000008 RSI: ffff880000000000 RDI: 0000000000000000
[    3.256637] RBP: ffff88001cd5b958 R08: 0000000000000000 R09: 0000000000000000
[    3.256637] R10: 0000000000000004 R11: 0000000000000001 R12: 00000000000000b0
[    3.256637] R13: ffff88001d12b4e0 R14: 0000000000000001 R15: 00000000ffffffff
[    3.256637] FS:  00007fb0088547a0(0000) GS:ffff880002200000(0000) knlGS:0000000000000000
[    3.256637] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    3.256637] CR2: 0000000001d0c000 CR3: 000000001cc7f000 CR4: 00000000000006f0
[    3.256637] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[    3.256637] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[    3.256637] Process tar (pid: 320, threadinfo ffff88001cd5a000, task ffff88001cd0d500)
[    3.256637] Stack:
[    3.256637]  0000000000002000 0000000000001000 ffff88001cd5b8e8 ffff88001cd5ba20
[    3.256637] <d> 0000000000000000 0000000004f3d000 ffff88001cd5b958 ffff88001d6e1800
[    3.256637] <d> ffffea000064d288 ffff88001d7296c0 0000000004f3d000 00000000001000a8
[    3.256637] Call Trace:
[    3.256637]  [<ffffffffa01ea406>] __btrfs_free_extent+0xd6/0x730 [btrfs]
[    3.256637]  [<ffffffffa01f2d7e>] ? btrfs_mark_buffer_dirty+0xce/0x140 [btrfs]
[    3.256637]  [<ffffffffa01eaf3e>] run_clustered_refs+0x4de/0x7f0 [btrfs]
[    3.256637]  [<ffffffffa0237f00>] ? btrfs_find_ref_cluster+0x80/0x180 [btrfs]
[    3.256637]  [<ffffffffa01eb318>] btrfs_run_delayed_refs+0xc8/0x220 [btrfs]
[    3.256637]  [<ffffffffa01f8c1f>] __btrfs_end_transaction+0x6f/0x240 [btrfs]
[    3.256637]  [<ffffffffa01f8e45>] btrfs_end_transaction+0x15/0x20 [btrfs]
[    3.256637]  [<ffffffffa01fdeca>] btrfs_dirty_inode+0x8a/0x120 [btrfs]
[    3.256637]  [<ffffffff811a426b>] __mark_inode_dirty+0x3b/0x160
[    3.256637]  [<ffffffff8119495d>] touch_atime+0x12d/0x170
[    3.256637]  [<ffffffff81115c30>] generic_file_aio_read+0x380/0x700
[    3.256637]  [<ffffffff8117a78a>] do_sync_read+0xfa/0x140
[    3.256637]  [<ffffffff8118b99a>] ? do_filp_open+0x6da/0xd60
[    3.256637]  [<ffffffff81091f90>] ? autoremove_wake_function+0x0/0x40
[    3.256637]  [<ffffffff8117fb54>] ? cp_new_stat+0xe4/0x100
[    3.256637]  [<ffffffff81211ea6>] ? security_file_permission+0x16/0x20
[    3.256637]  [<ffffffff8117b185>] vfs_read+0xb5/0x1a0
[    3.256637]  [<ffffffff8117b2c1>] sys_read+0x51/0x90
[    3.256637]  [<ffffffff8100b0f2>] system_call_fastpath+0x16/0x1b
[    3.256637] Code: 48 8b 75 20 48 89 c3 48 8b 7d 18 e8 49 aa ff ff 48 39 d8 77 26 b8 1d 00 00 00 e9 15 ff ff ff a8 01 0f 85 8c fe ff ff 0f 0b eb fe <0f> 0b eb fe 0f 0b 0f 1f 84 00 00 00 00 00 eb f6 4c 89 fb 44 8b 
[    3.256637] RIP  [<ffffffffa01e9f22>] lookup_inline_extent_backref+0x2d2/0x3f0 [btrfs]
[    3.256637]  RSP <ffff88001cd5b8b8>
[    3.321343] ---[ end trace ebaace0a627629cf ]---
[    3.322236] Kernel panic - not syncing: Fatal exception
[    3.323316] Pid: 320, comm: tar Tainted: G      D    ---------------  T 2.6.32-262.el6.x86_64 #1
[    3.324957] Call Trace:
[    3.325465]  [<ffffffff814fa1a0>] ? panic+0xa0/0x168
[    3.326417]  [<ffffffff814fe334>] ? oops_end+0xe4/0x100
[    3.327413]  [<ffffffff8100f26b>] ? die+0x5b/0x90
[    3.328313]  [<ffffffff814fdc04>] ? do_trap+0xc4/0x160
[    3.329294]  [<ffffffff8100ce35>] ? do_invalid_op+0x95/0xb0
[    3.330362]  [<ffffffffa01e9f22>] ? lookup_inline_extent_backref+0x2d2/0x3f0 [btrfs]
[    3.331819]  [<ffffffffa01de56d>] ? btrfs_search_slot+0x7dd/0x8a0 [btrfs]
[    3.333100]  [<ffffffff8100bedb>] ? invalid_op+0x1b/0x20
[    3.334134]  [<ffffffffa01e9f22>] ? lookup_inline_extent_backref+0x2d2/0x3f0 [btrfs]
[    3.335598]  [<ffffffffa01e9d0c>] ? lookup_inline_extent_backref+0xbc/0x3f0 [btrfs]
[    3.337051]  [<ffffffffa01ea406>] ? __btrfs_free_extent+0xd6/0x730 [btrfs]
[    3.338444]  [<ffffffffa01f2d7e>] ? btrfs_mark_buffer_dirty+0xce/0x140 [btrfs]
[    3.339816]  [<ffffffffa01eaf3e>] ? run_clustered_refs+0x4de/0x7f0 [btrfs]
[    3.341308]  [<ffffffffa0237f00>] ? btrfs_find_ref_cluster+0x80/0x180 [btrfs]
[    3.342754]  [<ffffffffa01eb318>] ? btrfs_run_delayed_refs+0xc8/0x220 [btrfs]
[    3.344206]  [<ffffffffa01f8c1f>] ? __btrfs_end_transaction+0x6f/0x240 [btrfs]
[    3.345578]  [<ffffffffa01f8e45>] ? btrfs_end_transaction+0x15/0x20 [btrfs]
[    3.346982]  [<ffffffffa01fdeca>] ? btrfs_dirty_inode+0x8a/0x120 [btrfs]
[    3.348284]  [<ffffffff811a426b>] ? __mark_inode_dirty+0x3b/0x160
[    3.349478]  [<ffffffff8119495d>] ? touch_atime+0x12d/0x170
[    3.350571]  [<ffffffff81115c30>] ? generic_file_aio_read+0x380/0x700
[    3.351802]  [<ffffffff8117a78a>] ? do_sync_read+0xfa/0x140
[    3.352874]  [<ffffffff8118b99a>] ? do_filp_open+0x6da/0xd60
[    3.353980]  [<ffffffff81091f90>] ? autoremove_wake_function+0x0/0x40
[    3.355238]  [<ffffffff8117fb54>] ? cp_new_stat+0xe4/0x100
[    3.356289]  [<ffffffff81211ea6>] ? security_file_permission+0x16/0x20
[    3.357531]  [<ffffffff8117b185>] ? vfs_read+0xb5/0x1a0
[    3.358548]  [<ffffffff8117b2c1>] ? sys_read+0x51/0x90
[    3.359535]  [<ffffffff8100b0f2>] ? system_call_fastpath+0x16/0x1b

Expected results:

Should be able to read the filesystem, possibly.

Additional info:
Comment 3 RHEL Product and Program Management 2012-05-03 01:31:21 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 4 Josef Bacik 2012-06-07 10:08:47 EDT

*** This bug has been marked as a duplicate of bug 698324 ***

Note You need to log in before you can comment on or make changes to this bug.